<script setup lang="ts">
import {defineProps} from 'vue'
import {useQuasar} from 'quasar'
import {useI18n} from 'vue-i18n'
import LeafletMap from 'components/LeafletMap.vue'

const props = defineProps({
    meta: {
        type: Object,
        required: true,
        default: () => {
            return {}
        },
    },
})

const $q = useQuasar()
const {t} = useI18n()
</script>

<template>
    <q-card>
        <q-card-section horizontal>
            <q-card-section>
                <q-list class="q-mt-lg">
                    <q-item>
                        <q-item-section avatar>
                            <q-icon color="primary" name="library_books"></q-icon>
                        </q-item-section>

                        <q-item-section>
                            <q-item-label caption>{{ t('result.source') }}</q-item-label>
                            <q-item-label>{{ props.meta.source }}</q-item-label>
                        </q-item-section>
                    </q-item>
                    <q-item>
                        <q-item-section avatar>
                            <q-icon color="primary" name="language"></q-icon>
                        </q-item-section>

                        <q-item-section>
                            <q-item-label caption>{{ t('result.variety') }}</q-item-label>
                            <q-item-label>{{ props.meta.local_variety }}</q-item-label>
                        </q-item-section>
                    </q-item>
                    <q-item>
                        <q-item-section avatar>
                            <q-icon color="primary" name="mark_unread_chat_alt"></q-icon>
                        </q-item-section>

                        <q-item-section>
                            <q-item-label caption>{{ t('result.theme') }}</q-item-label>
                            <q-item-label>{{ props.meta.theme }}</q-item-label>
                        </q-item-section>
                    </q-item>
                    <q-item>
                        <q-item-section avatar>
                            <q-icon color="primary" name="calendar_month"></q-icon>
                        </q-item-section>

                        <q-item-section>
                            <q-item-label caption>{{ t('result.interview_year') }}</q-item-label>
                            <q-item-label>{{ props.meta.interview_year }}</q-item-label>
                        </q-item-section>
                    </q-item>
                    <q-item>
                        <q-item-section avatar>
                            <q-icon color="primary" name="transgender"></q-icon>
                        </q-item-section>

                        <q-item-section>
                            <q-item-label caption>{{ t('result.speaker_gender') }}</q-item-label>
                            <q-item-label>{{ props.meta.speaker_gender }}</q-item-label>
                        </q-item-section>
                    </q-item>
                    <q-item>
                        <q-item-section avatar>
                            <q-icon color="primary" name="calendar_month"></q-icon>
                        </q-item-section>

                        <q-item-section>
                            <q-item-label caption>{{ t('result.speaker_birthyear') }}</q-item-label>
                            <q-item-label>{{ props.meta.speaker_birthyear }}</q-item-label>
                        </q-item-section>
                    </q-item>
                    <q-item>
                        <q-item-section avatar>
                            <q-icon color="primary" name="translate"></q-icon>
                        </q-item-section>

                        <q-item-section>
                            <q-item-label caption>{{ t('result.speaker_L1') }}</q-item-label>
                            <q-item-label>{{ props.meta.speaker_L1 }}</q-item-label>
                        </q-item-section>
                    </q-item>
                    <q-item>
                        <q-item-section avatar>
                            <q-icon color="primary" name="temple_buddhist"></q-icon>
                        </q-item-section>

                        <q-item-section>
                            <q-item-label caption>{{ t('result.speaker_religion') }}</q-item-label>
                            <q-item-label>{{ props.meta.speaker_religion }}</q-item-label>
                        </q-item-section>
                    </q-item>
                    <q-item>
                        <q-item-section avatar>
                            <q-icon color="primary" name="description"></q-icon>
                        </q-item-section>

                        <q-item-section>
                            <q-item-label caption>{{ t('result.description') }}</q-item-label>
                            <q-item-label>{{ props.meta.desc }}</q-item-label>
                        </q-item-section>
                    </q-item>
                </q-list>
            </q-card-section>

            <q-img>
                <LeafletMap :lat="props.meta.lat.trim()" :long="props.meta.long.trim()" />
            </q-img>
        </q-card-section>
    </q-card>
</template>

<style>
.metaCard {
    overflow: scroll;
    margin: auto;
}
</style>
